> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bungee.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bungee transaction history



## OpenAPI

````yaml https://public-backend.bungee.exchange/swagger-json get /api/v1/bungee-auto/history
openapi: 3.0.0
info:
  title: Bungee API Explorer
  description: API Endpoints for Bungee Exchange
  version: '1.0'
  contact: {}
servers:
  - url: https://public-backend.bungee.exchange
    description: Public Sandbox
  - url: https://dedicated-backend.bungee.exchange
    description: Dedicated Backend
  - url: https://backend.bungee.exchange
    description: Frontend/Direct
security: []
tags: []
paths:
  /api/v1/bungee-auto/history:
    get:
      tags:
        - Core API
      summary: Get Bungee transaction history
      operationId: BungeeAutoController_history_v1
      parameters:
        - name: sender
          required: true
          in: query
          description: User wallet address, for which swap history needs to fetched
          schema:
            example: '0x97454F63Df8eFDaBF7ed6f634C7922035E899971'
            type: string
        - name: pageNumber
          required: false
          in: query
          description: page number of pagination
          schema:
            default: '1'
            type: string
        - name: pageSize
          required: false
          in: query
          description: page size of pagination
          schema:
            default: '10'
            type: string
      responses:
        '200':
          description: Response with an array of historical transactions
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponseDto'
                  - properties:
                      result:
                        type: array
                        items:
                          $ref: '#/components/schemas/BaseBungeeSavedRequestDto'
              example:
                success: true
                statusCode: 200
                result:
                  data:
                    - requestType: SWAP_REQUEST
                      requestHash: >-
                        0x1a35f2c2dd3620573dfaaf0f653d1ef6401781208a88d123f7f208bdb1e086c2
                      status: FULFILLED
                      statusCode: 3
                      sourceTransactionHash: >-
                        0x5d02fba87ff915f19dac1b762eb9e5dda1c816d1e03059c7d90fdf4a7d677071
                      destinationTransactionHash: >-
                        0x5d02fba87ff915f19dac1b762eb9e5dda1c816d1e03059c7d90fdf4a7d677071
                      input:
                        - token:
                            chainId: 137
                            address: '0x3c499c542cef5e3811e1192ce70d8cc03d5c3359'
                            name: Native USD Coin (POS)
                            symbol: USDC
                            decimals: 6
                            logoURI: >-
                              https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                            icon: >-
                              https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                          amount: '6197804'
                          chainId: 137
                          valueInUsd: 0
                          priceInUsd: 0
                      intermediaryToken: null
                      output:
                        - token:
                            chainId: 137
                            address: '0xc2132d05d31c914a87c6611c10748aeb04b58e8f'
                            name: Tether USD
                            symbol: USDT
                            decimals: 6
                            logoURI: >-
                              https://assets.coingecko.com/coins/images/35023/large/USDT.png?1707233644
                            icon: >-
                              https://assets.coingecko.com/coins/images/35023/large/USDT.png?1707233644
                          minAmountOut: '6166741'
                          fulfilledAmount: '6178892'
                          chainId: 137
                          minAmountOutInUsd: 6.166741
                          fulfilValueInUsd: 6.178892
                          priceInUsd: 1
                      sender: 0xec1b393ded5c92e8f9bcfedbac2944257eb01xxx
                      recipient: 0x63d9a52c8a63f2a78b124814fb320de23d61exxx
                      orderTimestamp: '2025-02-11T08:31:24.897Z'
                      srcTimestamp: 1739262698
                      destTimestamp: 1739262698
                    - requestType: SINGLE_OUTPUT_REQUEST
                      requestHash: >-
                        0x415843635a47d1c67e060c89c5babe2ac386f4367d1b0c40cb319dad40ea9903
                      status: SETTLED
                      statusCode: 4
                      sourceTransactionHash: >-
                        0x8d7549872c305e896e242552c2471137c35ae8f63c25fe134feb0b6bb206c4f5
                      destinationTransactionHash: >-
                        0x98d68c6c8f867df4d0246662b40253c81b45468cb3883eee5a71f17c94bcf952
                      input:
                        - token:
                            chainId: 100
                            address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                            name: xDAI
                            symbol: XDAI
                            decimals: 18
                            logoURI: https://media.socket.tech/tokens/gnosis/xdai.svg
                            icon: https://media.socket.tech/tokens/gnosis/xdai.svg
                          amount: '6202168057400000189'
                          chainId: 100
                          valueInUsd: 0
                          priceInUsd: 0
                      intermediaryToken:
                        - token:
                            chainId: 100
                            address: '0xe91d153e0b41518a2ce8dd3d7944fa863463a97d'
                            name: Wrapped XDAI
                            symbol: WXDAI
                            decimals: 18
                            logoURI: >-
                              https://coin-images.coingecko.com/coins/images/11062/large/Identity-Primary-DarkBG.png?1696511004
                            icon: >-
                              https://coin-images.coingecko.com/coins/images/11062/large/Identity-Primary-DarkBG.png?1696511004
                          amount: '6202168057400000189'
                          chainId: 100
                          valueInUsd: 0
                          priceInUsd: 0
                      output:
                        - token:
                            chainId: 137
                            address: '0x3c499c542cef5e3811e1192ce70d8cc03d5c3359'
                            name: Native USD Coin (POS)
                            symbol: USDC
                            decimals: 6
                            logoURI: >-
                              https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                            icon: >-
                              https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                          minAmountOut: '6166814'
                          fulfilledAmount: '6197804'
                          chainId: 137
                          minAmountOutInUsd: 6.166814
                          fulfilValueInUsd: 6.197804
                          priceInUsd: 1
                      sender: 0xec1b393ded5c92e8f9bcfedbac2944257eb01xxx
                      recipient: 0x63d9a52c8a63f2a78b124814fb320de23d61exxx
                      orderTimestamp: '2025-02-11T08:29:15.623Z'
                      srcTimestamp: 1739262565
                      destTimestamp: 1739262602
                  pageNumber: 1
                  pageSize: 10
components:
  schemas:
    SuccessResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: flag indicating whether the req was successful
          default: true
        statusCode:
          type: number
          description: Http status code
          default: 200
        message:
          type: string
          description: error message if request failed
          nullable: true
      required:
        - success
        - statusCode
    BaseBungeeSavedRequestDto:
      type: object
      properties:
        inputTokens:
          description: Input tokens
          type: array
          items:
            $ref: '#/components/schemas/InputTokenDetailsDto'
        outputTokens:
          description: >-
            Output tokens. Either an array of OutputTokenDetailsDto (for
            cross-chain: SINGLE_OUTPUT_REQUEST) or a single
            OutputTokenDetailsDto (for swaps: SWAP_REQUEST)
          oneOf:
            - type: array
              items:
                $ref: '#/components/schemas/OutputTokenDetailsDto'
            - $ref: '#/components/schemas/OutputTokenDetailsDto'
        orderTimestamp:
          format: date-time
          type: string
          description: Timestamp at which order was placed
        status:
          type: string
          description: Current status of the order
          enum:
            - PENDING
            - ASSIGNED
            - EXTRACTED
            - FULFILLED
            - SETTLED
            - EXPIRED
            - CANCELLED
            - REFUNDED
        statusCode:
          type: number
          description: Numeric status code of the order
          enum:
            - 0
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
        requestHash:
          type: string
          description: Request hash
        ogSender:
          type: string
          description: Original sender address
        requestSource:
          type: string
          description: Source of the request
        userSignature:
          type: string
          description: User signature
        requestType:
          type: string
          description: Type of request
          enum:
            - SINGLE_OUTPUT_REQUEST
            - SWAP_REQUEST
        request:
          description: Request details
          oneOf:
            - $ref: '#/components/schemas/SingleOutputRequestDto'
            - $ref: '#/components/schemas/SwapRequestDto'
        createdAt:
          format: date-time
          type: string
          description: Creation timestamp
        updatedAt:
          format: date-time
          type: string
          description: Last update timestamp
      required:
        - inputTokens
        - outputTokens
        - orderTimestamp
        - status
        - statusCode
        - requestHash
        - ogSender
        - requestSource
        - userSignature
        - requestType
        - request
        - createdAt
        - updatedAt
    InputTokenDetailsDto:
      type: object
      properties:
        token:
          description: token asset object
          allOf:
            - $ref: '#/components/schemas/TokenAssetDto'
        amount:
          type: string
          description: token amount in wei
        chainId:
          type: number
          description: ChainId of the token
        valueInUsd:
          type: number
          description: Value of the token amount in USD
          default: 0
        priceInUsd:
          type: number
          description: Current price of the token in USD
          default: 0
      required:
        - token
        - amount
        - chainId
        - valueInUsd
        - priceInUsd
    OutputTokenDetailsDto:
      type: object
      properties:
        token:
          description: token asset object
          allOf:
            - $ref: '#/components/schemas/TokenAssetDto'
        minAmountOut:
          type: string
          description: token min output amount in wei
        promisedAmount:
          type: string
          description: token promised amount in wei
        fulfilledAmount:
          type: string
          description: token actual fulfilled amount in wei
        chainId:
          type: number
          description: ChainId of the token
        minAmountOutInUsd:
          type: number
          description: Value of the minimum amount in USD
          default: 0
        fulfilValueInUsd:
          type: number
          description: Value of the fulfilled amount in USD
          default: 0
        priceInUsd:
          type: number
          description: Current price of the token in USD
          default: 0
      required:
        - token
        - minAmountOut
        - promisedAmount
        - fulfilledAmount
        - chainId
        - minAmountOutInUsd
        - fulfilValueInUsd
        - priceInUsd
    SingleOutputRequestDto:
      type: object
      properties:
        basicReq:
          description: Basic request parameters
          allOf:
            - $ref: '#/components/schemas/SORBasicRequestDto'
        swapOutputToken:
          type: string
          description: Swap output token address
          example: '0x0000000000000000000000000000000000000000'
        minSwapOutput:
          type: string
          description: Minimum swap output amount
          example: '0'
        metadata:
          type: string
          description: Request metadata
          example: '0x0000000000000000000000000000000000000000000000000000000000042069'
        affiliateFees:
          type: string
          description: Affiliate fees
          example: 0x
        minDestGas:
          type: string
          description: Minimum destination gas
          example: '0'
        destinationPayload:
          type: string
          description: Destination payload
          example: 0x
        exclusiveTransmitter:
          type: string
          description: Exclusive transmitter address
          example: '0x0000000000000000000000000000000000000000'
      required:
        - basicReq
        - swapOutputToken
        - minSwapOutput
        - metadata
        - affiliateFees
        - minDestGas
        - destinationPayload
        - exclusiveTransmitter
    SwapRequestDto:
      type: object
      properties:
        basicReq:
          description: Basic request parameters
          allOf:
            - $ref: '#/components/schemas/SwapBasicRequestDto'
        metadata:
          type: string
          description: Request metadata
          example: '0x0000000000000000000000000000000000000000000000000000000000042069'
        affiliateFees:
          type: string
          description: Affiliate fees
          example: 0x
        minDestGas:
          type: string
          description: Minimum destination gas
          example: '0'
        destinationPayload:
          type: string
          description: Destination payload
          example: 0x
        exclusiveTransmitter:
          type: string
          description: Exclusive transmitter address
          example: '0x0000000000000000000000000000000000000000'
      required:
        - basicReq
        - metadata
        - affiliateFees
        - minDestGas
        - destinationPayload
        - exclusiveTransmitter
    TokenAssetDto:
      type: object
      properties:
        chainId:
          type: number
          description: Chain ID of the token
          example: 59144
        address:
          type: string
          description: Token address
          example: '0xe5d7c2a44ffddf6b295a15c148167daaaf5cf34f'
        name:
          type: string
          description: Token name
          example: Bridged Wrapped Ether Linea
        symbol:
          type: string
          description: Token symbol
          example: WETH
        decimals:
          type: number
          description: Token decimals
          example: 18
        logoURI:
          type: string
          description: Logo URI
          example: >-
            https://coin-images.coingecko.com/coins/images/31019/large/download_%2817%29.png?1696529855
          nullable: true
        icon:
          type: string
          description: Icon URI
          example: >-
            https://coin-images.coingecko.com/coins/images/31019/large/download_%2817%29.png?1696529855
          nullable: true
        chainAgnosticId:
          type: string
          description: Chain agnostic ID
          nullable: true
        cgId:
          type: string
          description: CoinGecko ID
          nullable: true
      required:
        - chainId
        - address
        - name
        - symbol
        - decimals
    SORBasicRequestDto:
      type: object
      properties:
        originChainId:
          type: number
          description: Origin chain ID
          example: 42161
        destinationChainId:
          type: number
          description: Destination chain ID
          example: 10
        deadline:
          type: string
          description: Transaction deadline timestamp
          example: 2060163137
        nonce:
          type: string
          description: Nonce value
          example: '1744389040'
        sender:
          type: string
          description: Sender address
          example: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
        receiver:
          type: string
          description: Receiver address
          example: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
        delegate:
          type: string
          description: Delegate address
          example: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
        bungeeGateway:
          type: string
          description: Bungee gateway address
          example: '0xcdea28ee7bd5bf7710b294d9391e1b6a318d809a'
        switchboardId:
          type: number
          description: Switchboard ID
          example: 1
        inputToken:
          type: string
          description: Input token address
          example: '0xaf88d065e77c8cC2239327C5EDb3A432268e5831'
        inputAmount:
          type: string
          description: Input amount
          example: '10000000'
        outputToken:
          type: string
          description: Output token address
          example: '0x0b2c639c533813f4aa9d7837caf62653d097ff85'
        minOutputAmount:
          type: string
          description: Minimum output amount
          example: '9893610'
        refuelAmount:
          type: string
          description: Refuel amount
          example: '0'
      required:
        - originChainId
        - destinationChainId
        - deadline
        - nonce
        - sender
        - receiver
        - delegate
        - bungeeGateway
        - switchboardId
        - inputToken
        - inputAmount
        - outputToken
        - minOutputAmount
        - refuelAmount
    SwapBasicRequestDto:
      type: object
      properties:
        chainId:
          type: number
          description: Chain ID
          example: 42161
        deadline:
          type: number
          description: Transaction deadline timestamp
          example: 2060163137
        nonce:
          type: string
          description: Nonce value
          example: '1744389040'
        sender:
          type: string
          description: Sender address
          example: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
        receiver:
          type: string
          description: Receiver address
          example: '0xf39Fd6e51aad88F6F4ce6aB8827279cffFb92266'
        bungeeGateway:
          type: string
          description: Bungee gateway address
          example: '0xcdea28ee7bd5bf7710b294d9391e1b6a318d809a'
        inputToken:
          type: string
          description: Input token address
          example: '0xaf88d065e77c8cC2239327C5EDb3A432268e5831'
        inputAmount:
          type: string
          description: Input amount
          example: '10000000'
        outputToken:
          type: string
          description: Output token address
          example: '0x0b2c639c533813f4aa9d7837caf62653d097ff85'
        minOutputAmount:
          type: string
          description: Minimum output amount
          example: '9893610'
      required:
        - chainId
        - deadline
        - nonce
        - sender
        - receiver
        - bungeeGateway
        - inputToken
        - inputAmount
        - outputToken
        - minOutputAmount

````